sc::EriCints Class Reference

EriCints is a specialization of Int2eCints that computes electron repulsion integrals. More...

`#include <eri.h>`

Inheritance diagram for sc::EriCints:
[legend]
Collaboration diagram for sc::EriCints:
[legend]

## Public Member Functions

| EriCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, size_t storage)
double * | buffer (TwoBodyInt::tbint_type te_type) const
| Returns the location of the buffer with target integrals.
void | compute_quartet (int *, int *, int *, int *)
| Evaluate the target quartet of integrals.
Public Member Functions inherited from sc::Int2eCints
| Int2eCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, size_t storage)
void | init_storage (size_t)
| Sets storage limit and starts storage tracking.
void | done_storage ()
| Finishes storage tracking.
size_t | storage_used () const
| Reports how much storage is actually used at a given time.
int | redundant () const
| Whether redundant integrals are returned.
void | set_redundant (int flag)
| Set redundant flag.
int | permute () const
| Whether shells can be permuted.
void | set_permute (int flag)
| Set shell permutation flag.
Ref< GaussianBasisSet > | basis ()
Ref< GaussianBasisSet > | basis1 ()
Ref< GaussianBasisSet > | basis2 ()
Ref< GaussianBasisSet > | basis3 ()
Ref< GaussianBasisSet > | basis4 ()
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Static Public Member Functions

static size_t | storage_required (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0, const Ref< GaussianBasisSet > &b3=0, const Ref< GaussianBasisSet > &b4=0)

## Additional Inherited Members

Protected Member Functions inherited from sc::Int2eCints
void | check_storage_ () const
void | transform_contrquartets_ (double *, double *)
void | sort_contrquartets_to_shellquartet_ (double *, double *)
void | permute_target_ (double *, double *, int, int, int)
void | permute_1234_to_1243_ (double *, double *)
void | permute_1234_to_2134_ (double *, double *)
void | permute_1234_to_2143_ (double *, double *)
void | permute_1234_to_3412_ (double *, double *)
void | permute_1234_to_3421_ (double *, double *)
void | permute_1234_to_4312_ (double *, double *)
void | permute_1234_to_4321_ (double *, double *)
void | get_nonredundant_ints_ (double *, double *, int, int, int)
Static Protected Member Functions inherited from sc::Int2eCints
static size_t | storage_required_ (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0, const Ref< GaussianBasisSet > &b3=0, const Ref< GaussianBasisSet > &b4=0)
Protected Attributes inherited from sc::Int2eCints
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
Ref< GaussianBasisSet > | bs3_
Ref< GaussianBasisSet > | bs4_
Ref< MessageGrp > | grp_
GaussianShell * | int_shell1_
GaussianShell * | int_shell2_
GaussianShell * | int_shell3_
GaussianShell * | int_shell4_
int | permute_
int | redundant_
size_t | storage_
size_t | storage_used_
double * | tformbuf_

## Detailed Description

EriCints is a specialization of Int2eCints that computes electron repulsion integrals.

The documentation for this class was generated from the following file:

- eri.h